#include "UciParser.h"
#include <string>
#include <vector>
#include <sstream>

#include "ChessGame.h"

using namespace std;

int UciParser::parse(istream& in, ostream& out)
{
    while (!is.eof()) {
        string line;
        getline(in, line);
        executeLine(line);
    }
    return 0;
}


int UciParser::executeLine(const string& line)
{
    stringstream s {line};
    string token;
    string command;
    vector<string> args;
    s >> command;
    while (s >> token) {
        args.push_back(token);
    }
    executeCommand(command, args);
}


int UciParser::executeLine(const string& command,
    const vector<string>& args)
{

}
